package com.diagbot.service.impl;

import com.diagbot.dto.QcCasesEntryFindDTO;
import com.diagbot.dto.QcCasesEntryHospitalDTO;
import com.diagbot.entity.QcCasesEntryHospital;
import com.diagbot.mapper.QcCasesEntryHospitalMapper;
import com.diagbot.service.QcCasesEntryHospitalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.QcCasesEntryFindVO;
import com.diagbot.vo.QcCasesEntryHospitalVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病历条目 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-04-13
 */
@Service
public class QcCasesEntryHospitalServiceImpl extends ServiceImpl<QcCasesEntryHospitalMapper, QcCasesEntryHospital> implements QcCasesEntryHospitalService {

    @Override
    public List<QcCasesEntryHospitalDTO> getQcCasesEntryAlls(QcCasesEntryHospitalVO qcCasesEntryHospitalVO) {
        return baseMapper.getQcCasesEntryAlls(qcCasesEntryHospitalVO);
    }

    @Override
    public List<QcCasesEntryFindDTO> findQcCasesEntryAll(QcCasesEntryFindVO qcCasesEntryFindVO) {
        return baseMapper.findQcCasesEntryAll(qcCasesEntryFindVO);
    }
}
