package com.diagbot.mapper;

import com.diagbot.dto.QcCasesEntryFindDTO;
import com.diagbot.dto.QcCasesEntryHospitalDTO;
import com.diagbot.entity.QcCasesEntryHospital;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.QcCasesEntryFindVO;
import com.diagbot.vo.QcCasesEntryHospitalVO;

import java.util.List;

/**
 * <p>
 * 病历条目 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2020-04-13
 */
public interface QcCasesEntryHospitalMapper extends BaseMapper<QcCasesEntryHospital> {

    List<QcCasesEntryHospitalDTO> getQcCasesEntryAlls(QcCasesEntryHospitalVO qcCasesEntryHospitalVO);

    List<QcCasesEntryFindDTO> findQcCasesEntryAll(QcCasesEntryFindVO qcCasesEntryFindVO);
}
