package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class BehospitalPageVO extends Page implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 医院ID
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 档案号
     */
    private String fileCode;

    /**
     * 入院时间开始时间
     */
    private String behosDateStart;


    /**
     * 入院时间结束时间
     */
    private String behosDateEnd;

    /**
     * 出院时间开始时间
     */
    private String leaveHosDateStart;

    /**
     * 出院时间结束时间
     */
    private String leaveHosDateEnd;


}
